/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 1991-1993, 1999, 2000, 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef ERROR_H
#define ERROR_H

#include <main.h>

void error(const char *, ...)                                 ATTR_PRINTF(1, 2);
void fatal(const char *, ...)                                 ATTR_PRINTF(1, 2);
void nerror(const char *, ...)                                ATTR_PRINTF(1, 2);
void nfatal(const char *, ...)                                ATTR_PRINTF(1, 2);

#ifdef DEBUG
# ifdef __STDC__
#  define assert(c) cook_assert((c) != 0, #c, __FILE__, __LINE__)
# else
#  define assert(c) cook_assert((c) != 0, "c", __FILE__, __LINE__)
# endif
#else
# define assert(c)
#endif

void cook_assert(int, const char *, const char *, int);

#endif /* ERROR_H */
