/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 1999, 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef COMMON_MAP_HOSTS_H
#define COMMON_MAP_HOSTS_H

#include <strlist.h>

typedef struct map_host_t map_host_t;
struct map_host_t
{
    string_ty       *address;
    strlist_ty      name;
};

map_host_t *map_host_new(void);
void map_host_delete(map_host_t *);

void map_host_open(const char *);
map_host_t *map_host_read(void);
void map_host_close(void);

#endif /* COMMON_MAP_HOSTS_H */
