/*
 *      dnsutl - utilities to make DNS easier to configure
 *      Copyright (C) 2006, 2007 Peter Miller
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see
 *      <http://www.gnu.org/licenses/>.
 */

#ifndef DNS_CONF_CHECK_CONF_H
#define DNS_CONF_CHECK_CONF_H

#include <str.h>

typedef struct conf_t conf_t;
struct conf_t
{
    string_ty *location;
    string_ty *word;
    size_t length;
    size_t maximum;
    conf_t **list;
};

conf_t *conf_list_new(void);
conf_t *conf_string_new(string_ty *s);
void conf_delete(conf_t *cp);
void conf_list_append(conf_t *haystack, conf_t *needle);
conf_t *conf_find_a_name(conf_t *cp);
void conf_error(conf_t *cp, const char *fmt, ...)             ATTR_PRINTF(2, 3);
string_ty *conf_representation(conf_t *cp);

#endif /* DNS_CONF_CHECK_CONF_H */
