#!/bin/sh
#
#       dnsutl - utilities to make DNS easier to configure
#       Copyright (C) 2005, 2007 Peter Miller
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 3 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see
#       <http://www.gnu.org/licenses/>.
#

here=`pwd`
test $? -eq 0 || exit 1
mkdir -p check-tarball
test $? -eq 0 || exit 1

die()
{
    cd $here
    rm -rf check-tarball
    exit 1
}

cd check-tarball
test $? -eq 0 || die
rm -f *
test $? -eq 0 || die
tar xzf $1
test $? -eq 0 || die
cd *
test $? -eq 0 || die
./configure
test $? -eq 0 || die
make
test $? -eq 0 || die
make sure
test $? -eq 0 || die
du -h
cd $here
rm -rf check-tarball
exit 0
